import ok
dev = ok.okCFrontPanel()
# data buffer in Python (mutable type bytearray) must be initialized upon declaration
dataout = bytearray('abcdefghijklmnopqrstuvwxyz', 'utf8')
datain = bytearray('00000000000000000000000000', 'utf8')
print(dev.GetDeviceCount())
dev.OpenBySerial("")
print(dev.ConfigureFPGA('opal_kelly_transfer_test.bit'))
# It’s a good idea to check for errors here!!
 
# Send brief reset signal to initialize the FIFO.
dev.SetWireInValue(0x10, 0xff)
dev.UpdateWireIns()
dev.SetWireInValue(0x10, 0x00)
dev.UpdateWireIns()
 
# Send buffer to PipeIn endpoint with address 0x80
data = dev.WriteToPipeIn(0x80, dataout)
# Read to buffer from PipeOut endpoint with address 0xA0
data = dev.ReadFromPipeOut(0xA0, datain)
print(data)